/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Pedro Pelaez <pedro@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

// Pager
///////////////////////
.pager-container {
  padding: 20px 0;

  ul {
    @include ul-reset();
    display: flex;
    justify-content: center;
    align-items: center;

    li {
      margin: 0 5px;

      @include tablet {
        margin: 0 10px;
      }
    }
  }

  .pager-btn {
    position: relative;
    background: none;
    border: none;
    color: $color-blue-01;
    font-size: inherit;
    transition: all $duration;

    &:hover {
      color: $color-blue-02;
      text-decoration: underline;
    }

    &:disabled {
      color: $color-grey-05;

      &:hover {
        text-decoration: none;
      }
    }


    &.previous {
      padding: 5px 0 5px 20px;

      &::before {
        background: url(image-url('icon_chevron_left.svg')) no-repeat center;
        background-size: contain;
        left: 0;
      }

      &:disabled::before,
      &:disabled:hover::before {
        background: url(image-url('icon_chevron_left_disabled.svg')) no-repeat center;
        background-size: contain;
      }

      &:hover::before {
        background: url(image-url('icon_chevron_left_hover.svg')) no-repeat center;
        background-size: contain;
      }
    }

    &.first {
      padding: 5px 0 5px 20px;

      &::before {
        background: url(image-url('icon_arrow_double_left.svg')) no-repeat center;
        background-size: contain;
        left: 0;
      }

      &:disabled::before,
      &:disabled:hover::before {
        background: url(image-url('icon_arrow_double_left_disabled.svg')) no-repeat center;
        background-size: contain;
      }

      &:hover::before {
        background: url(image-url('icon_arrow_double_left_hover.svg')) no-repeat center;
        background-size: contain;
      }
    }

    &.next {
      padding: 5px 20px 5px 0;

      &::after {
        background: url(image-url('icon_chevron_right.svg')) no-repeat center;
        background-size: contain;
        right: 0;
      }

      &:disabled::after,
      &:disabled:hover::after {
        background: url(image-url('icon_chevron_right_disabled.svg')) no-repeat center;
        background-size: contain;
      }

      &:hover::after {
        background: url(image-url('icon_chevron_right_hover.svg')) no-repeat center;
        background-size: contain;
      }
    }

    &::before,
    &::after {
      content: "";
      position: absolute;
      width: 12px;
      height: 12px;
      top: 50%;
      transform: translate3d(0, -50%, 0);
      transition: all $duration;
    }
  }

  + .parents {
    margin-bottom: 20px;
  }
}